## Bsoft program

# bhelix

### Usage: bhelix [options] input.img output.img

Symmetrizes and projects images with helical symmetry.

### Actions:

-normalize | Normalize symmetrized output, use for maps close to symmetry (default not).
-background | Calculate new background values.
-project 20 | Generate projections with this angular step size (over 360 degrees).
-kernel 6,2 | Reciprocal space projection: kernel size and power.
-elliptical 37,5.5 | Elliptical distortion: major axis angle and shift (pixels).
-rescale -0.1,5.2 | Rescale data to average and standard deviation.

### Actions for symmetrizing:

-helix 25.3,67.1,2 | Symmetrize: Helical rise and angle, and dyad axis indicated by 2.
| (default 10 angstrom, 45 degrees, no dyad axis).
-rule 237.5,-2,7 | Symmetrize by selection rule: Helical repeat (angstrom), turns and subunits per repeat.
-super 25.3,67.1,22,15.5 | Superhelix: Helical rise and angle, and offset in xy plane.
-seam 1.5 | Symmetrize with the given subunit shift along the seam.

### Actions for determining helical parameters:

-findrs 5,8,0.1,10,20,1 | Find helical parameters in real space:
| rise start, end and increment, rotation angle start, end and increment.
-findcc 10,22.4,1.5 | Find helical parameters by cross-correlation:
| rotation angle start, end and increment.
-segment 10,22.4,1.5,18 | Correlate helical segments: rotation angle start,
| end, increment and segment thickness.

### Parameters:

-verbose 1 | Verbosity of output.
-datatype u | Force writing of a new data type.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-origin 110,50,44 | Origin for helix (default 0,0,0 or from image).
-zlimits 8,47 | Range of slices along the helical axis to use (default 0,inf).
-radius 22 | Radial limit for symmetrization and finding parameters (default from image).
-resolution 15.6,200 | Resolution limits for projection and cross-correlation (default 0).
-bin 2 | Binning for finding parameters (default 1).

### Output:

-Postscript file.ps | Postscript output file name.

Bsoft version 2.0.3-20180917 (64 bit)